Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class ECDomainParameters

    java.lang.Object
      |
      +--org.bouncycastle.crypto.params.ECDomainParameters

All Implemented Interfaces:
  ECConstants

public class ECDomainParameters
extends java.lang.Object
implements ECConstants

Fields inherited from interface org.bouncycastle.math.ec.ECConstants
`ONE, ZERO`

Constructor Summary
`ECDomainParameters(ECCurve curve, ECPoint G, java.math.BigInteger n)`
`ECDomainParameters(ECCurve curve, ECPoint G, java.math.BigInteger n, java.math.BigInteger h)`
`ECDomainParameters(ECCurve curve, ECPoint G, java.math.BigInteger n, java.math.BigInteger h, byte[] seed)`

Method Summary
`ECCurve` | `getCurve()`
`ECPoint` | `getG()`
`java.math.BigInteger` | `getH()`
`java.math.BigInteger` | `getN()`
`byte[]` | `getSeed()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECDomainParameters

    public ECDomainParameters(ECCurve curve,
                              ECPoint G,
                              java.math.BigInteger n)

### ECDomainParameters

    public ECDomainParameters(ECCurve curve,
                              ECPoint G,
                              java.math.BigInteger n,
                              java.math.BigInteger h)

### ECDomainParameters

    public ECDomainParameters(ECCurve curve,
                              ECPoint G,
                              java.math.BigInteger n,
                              java.math.BigInteger h,
                              byte[] seed)

Method Detail

### getCurve

    public ECCurve getCurve()

### getG

    public ECPoint getG()

### getN

    public java.math.BigInteger getN()

### getH

    public java.math.BigInteger getH()

### getSeed

    public byte[] getSeed()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD